rpc.cmsd(user cmd)

NAME
rpc.cmsd — calendar manager service daemon

SYNOPSIS

rpc.cmsd [-d] [-s]

DESCRIPTION

The rpc.cmsd is a small database manager for appointment and resource-scheduling data. Its primary client is dtcm a productivity tool included with CDE. rpc.cmsd is normally invoked by inetd(1m) when a dtcm request is received.

OPTIONS

The following options are available:

-d  Enables debugging output.

-s  Runs rpc.cmsd in the foreground. This option should be used when rpc.cmsd is invoked manually for debugging purposes.

OPERANDS

None.

STDIN

Not used.

INPUT FILES

The database format used by the rpc.cmsd is private.

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ASYNCHRONOUS EVENTS

None.

STDOUT

When the -d option is used, rpc.cmsd writes the debugging information to stdout.

STDOUT

None.

OUTPUT FILES

None.

EXTENDED DESCRIPTION

None.

EXIT STATUS

When the process exits, rpc.cmsd exits with the status of the exited child. Otherwise, the following exit values are returned:

0   Normal termination. A zero exit status means rpc.cmsd has received a HUP signal, and terminated normally.

-1  Abnormal termination. Permissions on the database file or directory were incorrect.

1   RPC memory management errors have prevented successful operation, a socket operation failed in a nonrecoverable way, or could not create a udp service.

2   Could not create a TLI connection.

3   Could not register the service.

CONSEQUENCES OF ERRORS

The rpc.cmsd utility takes the standard action for all signals.

APPLICATION USAGE

To run rpc.cmsd in standalone mode, the user must be root.

EXAMPLES

None.

SEE ALSO

dtcm(1), dtcm_lookup(1), dtcm_delete(1), dtcm_insert(1), inetd(1m).